<template>
  <div>
    <span
      v-for="(color, index) of colorList"
      class="color-item"
      :class="{ active: colorSelected === color }"
      :style="{ backgroundColor: color }"
      :key="index"
      @click="onChangeColor(color)"
    ></span>
  </div>
</template>

<script>
export default {
  props: {
    color: {
      type: String,
    },
  },
  computed:{
    colorSelected() {
      return this.color
    }
  },
  data() {
    return {
      colorList: [
        "#000000",
        "#808080",
        "#FF3333",
        "#0066FF",
        "#FFFF33",
        "#33CC66",
      ],
    };
  },
  methods: {
    onChangeColor(color) {
      this.$emit("change-color", color);
    },
  },
};
</script>

<style scoped>
.color-item {
  display: inline-block;
  width: 32px;
  height: 32px;
  margin: 0 4px;
  box-sizing: border-box;
  border: 4px solid white;
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.2);
  cursor: pointer;
  transition: 0.3s;
}
.color-item.active {
  box-shadow: 0 0 15px #00ccff;
}
</style>
